Name:           mate-file-archiver
Version:        1.5.1
Release:        1%{?dist}
Summary:        MATE Desktop file archiver

License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz


BuildRequires:  mate-common
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(sm)  

Requires:   gsettings-desktop-schemas 

%description
Mate File Archiver is an application for creating and viewing archives files,
such as tar or zip files.


%package -n mate-file-manager-archiver
Summary: File Roller extension for mate-file-manager
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n mate-file-manager-archiver
This package contains the Mate File archiver extension for Mate file manger.
It adds an item to the mate-file-manager contexst menu that lets you compress files
or directories.


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure                 \
   --disable-scrollkeeper  \
   --disable-static        \
   --with-gtk=2.0          \
   --enable-caja-actions

make V=1 %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original          \
  --remove-category=MATE                        \
  --add-category=X-Mate                         \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/engrampa.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'


%find_lang engrampa --with-gnome

%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f engrampa.lang
%doc README COPYING NEWS AUTHORS
%{_bindir}/engrampa
%{_libexecdir}/engrampa/
%{_datadir}/engrampa/
%{_datadir}/mate/help/engrampa/
%{_datadir}/applications/engrampa.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/MateConf/gsettings/engrampa.convert
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml

%files -n mate-file-manager-archiver
%{_libdir}/caja/extensions-2.0/libcaja-engrampa.so



%changelog
* Mon Nov 19 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Update to latest release
- Remove patches that were applied upstream

* Thu Nov 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-3
- Fix another schema error

* Thu Nov 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-2
- add patch to fix (rhbz 876354)

* Thu Oct 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- Initial build

